import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/bus/stationInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/bus/stationInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/bus/stationInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/bus/stationInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/bus/stationInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/bus/stationInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/bus/stationInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(formData){
  return request.post(constant.serverUrl + "/bus/stationInfo/list", formData);
}

function changePrice(formModel){  
  return request.post(constant.serverUrl + "/bus/stationInfo/changePrice", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}


export default {
  pageList,create,edit,add,update,remove,batchRemove,list,changePrice
}